<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.136.10.900837
Name: Colonoscopy Profile Entry
Description: Conclusion Colonoscopy Entry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621">
   <title>Colonoscopy Profile Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.900837
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]
Item: (ConclusionColonoscopyEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.900837
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]
Item: (ConclusionColonoscopyEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]"
         id="d42e5546-false-d40585e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="string(@classCode) = ('OBS')">(ConclusionColonoscopyEntry): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="string(@moodCode) = ('EVN')">(ConclusionColonoscopyEntry): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']) &gt;= 1">(ConclusionColonoscopyEntry): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']) &lt;= 1">(ConclusionColonoscopyEntry): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="count(hl7:code[(@code = 'PROFILE' and @codeSystem = '2.16.840.1.113883.2.4.3.60.136.5.190')]) &gt;= 1">(ConclusionColonoscopyEntry): element hl7:code[(@code = 'PROFILE' and @codeSystem = '2.16.840.1.113883.2.4.3.60.136.5.190')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="count(hl7:code[(@code = 'PROFILE' and @codeSystem = '2.16.840.1.113883.2.4.3.60.136.5.190')]) &lt;= 1">(ConclusionColonoscopyEntry): element hl7:code[(@code = 'PROFILE' and @codeSystem = '2.16.840.1.113883.2.4.3.60.136.5.190')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]) &gt;= 1">(ConclusionColonoscopyEntry): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]) &lt;= 1">(ConclusionColonoscopyEntry): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.900837
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']
Item: (ConclusionColonoscopyEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']"
         id="d42e5549-false-d40631e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ConclusionColonoscopyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.136.10.900837')">(ConclusionColonoscopyEntry): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.136.10.900837' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.900837
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]/hl7:code[(@code = 'PROFILE' and @codeSystem = '2.16.840.1.113883.2.4.3.60.136.5.190')]
Item: (ConclusionColonoscopyEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]/hl7:code[(@code = 'PROFILE' and @codeSystem = '2.16.840.1.113883.2.4.3.60.136.5.190')]"
         id="d42e5551-false-d40646e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ConclusionColonoscopyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="@nullFlavor or (@code='PROFILE' and @codeSystem='2.16.840.1.113883.2.4.3.60.136.5.190' and @displayName='Profiel Coloscopie')">(ConclusionColonoscopyEntry): de elementwaarde MOET een zijn van 'code 'PROFILE' codeSystem '2.16.840.1.113883.2.4.3.60.136.5.190' displayName='Profiel Coloscopie''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.136.10.900837
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (ConclusionColonoscopyEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.136.10.900837']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d42e5553-false-d40665e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ConclusionColonoscopyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ConclusionColonoscopyEntry): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.136.11.78 Conclusie coloscopie (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.136.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkmdl-html-20250319T152722/tmp-2.16.840.1.113883.2.4.3.11.60.136.10.900837-2025-03-19T124621.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ConclusionColonoscopyEntry): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.136.11.78 Conclusie coloscopie (DYNAMISCH).</assert>
   </rule>
</pattern>
